Bug 507150 - Review Request: gfs-pyrsos-fonts - GFS Pyrsos italic Greek fonts
Review Request: gfs-pyrsos-fonts - GFS Pyrsos italic Greek fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 06:03 EDT by Nicolas Mailhot
Modified: 2009-06-26 22:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: 20090618-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:50:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-06-21 06:03:04 EDT
Spec URL: http://nim.fedorapeople.org/gfs-pyrsos-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-pyrsos-fonts-20090618-1.fc12.src.rpm
Description: 

This typeface first appeared in the late 20s and was used as an alternative
italic type to the most commonly used Greek italics at the time, coming from
Germany (Leipsig). The name commemorates the edition of the Greek encyclopædia
Pyrsos (1927-1933) from which the types were taken.

The font was digitally designed by George D. Matthiopoulos and is freely
available by GFS.

See also
http://fedoraproject.org/wiki/GFS_Pyrsos_fonts
Comment 1 Parag AN(पराग) 2009-06-22 01:47:47 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1428601
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c6da481a25176411fa4bcfd6964d6230056bd5dd  GFS_PYRSOS.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.
Comment 2 Nicolas Mailhot 2009-06-22 02:03:35 EDT
Awesome lighting-fast review, thanks!

New Package CVS Request
=======================
Package Name: gfs-pyrsos-fonts
Short Description: GFS Pyrsos italic Greek fonts
Owners: nim
Branches: F-11
InitialCC: fonts-sig
Comment 3 Kevin Fenzi 2009-06-22 22:26:06 EDT
cvs done.
Comment 4 Fedora Update System 2009-06-23 13:16:28 EDT
gfs-pyrsos-fonts-20090618-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gfs-pyrsos-fonts-20090618-1.fc11
Comment 5 Fedora Update System 2009-06-26 22:50:09 EDT
gfs-pyrsos-fonts-20090618-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.